For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact UsSign In
HomeIntegrationsGuidesBrand Assets
HomeIntegrationsGuidesBrand Assets
    • Overview
  • IAM Platforms
  • OIDC
    • Overview
    • Configuration
    • Integration
    • Best Practices
    • PKCE
  • SAML
    • Overview
    • Configuration
    • Integration
    • Best Practices
  • OAuth 2.0
    • Overview
    • Integration
    • PKCE
    • Error Codes
  • Shared Signals Framework
    • Registration and Transmission
  • Mobile SDK
    • Overview
    • Android
    • iOS
    • Video Demos
  • API
    • Applications API
    • Document Passback API
      • Overview
        • GETGet an event by ID
  • Learn More
    • Language Support
LogoLogo
Contact UsSign In
APIEvents API

Get an event by ID

GET
https://events-api.idme.cc/private/v0/events/:id
GET
/private/v0/events/:id
$curl https://events-api.idme.cc/private/v0/events/123 \
> -H "Authorization: Bearer <token>"
1{
2 "event": "string",
3 "identifier": "string",
4 "email": "string",
5 "application": "string",
6 "session": "string",
7 "fingerprint": "string",
8 "ipaddress": "string",
9 "useragent": "string",
10 "tracked_at": "2023-10-11T19:20:30+01:00"
11}
Retrieve a specific event by its unique identifier.
Was this page helpful?
Previous

Overview

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the event.

Response

Successful
eventstring
Event type name.
identifierstring
Member identifier.
emailstring
Member's email address.
applicationstring
Application name.
sessionstring
Session ID.
fingerprintstring
Fingerprint.
ipaddressstring
Member's IP address.
useragentstring
Member's browser user agent string.
tracked_atstring
Timestamp when the event was tracked.

Errors

403
Forbidden Error